<!--
  ~ Copyright (c) 2024 LOBA
  ~ 
  ~ Permission is hereby granted, free of charge, to any person obtaining a copy of
  ~ this software and associated documentation files (the "Software"), to deal in
  ~ the Software without restriction, including without limitation the rights to
  ~ use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
  ~ the Software, and to permit persons to whom the Software is furnished to do so,
  ~ subject to the following conditions:
  ~ 
  ~ The above copyright notice and this permission notice shall be included in all
  ~ copies or substantial portions of the Software.
  ~ 
  ~ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  ~ IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
  ~ FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
  ~ COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
  ~ IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
  ~ CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
  ~ 
  ~ SPDX-License-Identifier: MIT
  ~ 
  ~ Contributors:
  ~     [name] - [contribution]
-->

<template>
    <div class="user-profile" :class="'size-' + size">
        <span class="img">
            <span class="notification">
                1
            </span>
            <img src="@/assets/images/user_3.png" alt="">
        </span>
        <span class="text">
            Edgar Amorim
        </span>
        <div class="user-profile-dropdown" v-if="homepage">
            <div href="" class="user-profile-item" title="Profile">
                <i class="icon-user"></i>
                <span>Profile</span>
            </div>
            <button class="user-profile-item" @click="logout()">
                <i class="icon-logout"></i>
                <span>Logout</span>
            </button>
        </div>
    </div>
</template>

<script setup lang="ts">

// read props
const props = defineProps({
    homepage: Boolean,
    value: Number,
    size: {
        type: String,
        default: 'md'
    },
    
});

const logout = () => {
    localStorage.removeItem('dm_atoken');
    localStorage.removeItem('dm_rtoken');
    localStorage.removeItem('dm_etoken');
    navigateTo('/login');
};

</script>